WorkCentre 5735/5740/5745/5755

WorkCentre 5735/5740/5745/5755 Support & Drivers

Voor uw apparaatsoftware is mogelijk een update van het SHA2-beveiligingscertificaat vereist om rechtstreeks verbinding te maken voor externe services. Lees het beveiligingsbulletin en bezoek de ondersteuningspagina Remote Services voor meer informatie.

Ondersteunde platforms IBM AS/400, Linux, Mac OS X 10.5 or lower, Mac OS X 10.6 - Snow Leopard, Mac OS X 10.7 - Lion, Mac OS X 10.8 - Mountain Lion, Sun Solaris, UNIX, Windows 7, Windows 7 x64, Windows 8, Windows 8 x64, Windows 8.1, Windows 8.1 x64, Windows Server 2003, Windows Server 2003 x64, Windows Server 2008, Windows Server 2008 x64, Windows Vista, Windows Vista x64, Windows XP, Windows XP x64

Ondersteunde talen Brazilian Portuguese, Bulgarian, Catalan, Czech, Danish, Dutch, English (Global), English (N. America), Finnish, French, French Canadian, German, Greek, Hungarian, Italian, Norwegian, Polish, Romanian, Russian, Spanish, Swedish, Turkish, Ukrainian

Bestand downloaden: WorkCentre 57xx Series System Software version 061.132.221.21403

Let op: If Your Device is Currently at Software Version 061.131.221.18200 – DO NOT install this software on your device. Fixes and features delivered in release 061.131.221.18200 are NOT included in this release even though the version number is higher. Please contact your service provider with any questions.

Eindgebruikersovereenkomst

Klik op "Accepteren" om te downloaden; klik op "Weigeren" om te annuleren

AccepterenWeigeren